close all 
clear all
clc

a = 0;
b = pi;

x = linspace(a, b, 100);

solinit = bvpinit(x, [0 0]);
sol = bvp4c(@odesys2, @boundcond, solinit);

xv = linspace(a, b, 1e3);

y = deval(sol, xv);

y_exact = cos(sqrt(2)*xv) - sin(sqrt(2)*xv).*cot(sqrt(2)*pi);


plot(xv, y(1, :), xv, y_exact, '--r', 'LineWidth', 2)
xlabel('x'), ylabel('y')
legend('Numericko rjesenje', 'Egzaktno rjesenje')

figure(2)
semilogy(xv, abs(y(1, :)-y_exact))